org.keycloak.models.map.user

## Class MapUserEntity<K>

- java.lang.Object
- - org.keycloak.models.map.user.MapUserEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>, UpdatableEntity

      public class MapUserEntity<K>
      extends Object
      implements AbstractEntity<K>

  Author:
    mhajas

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `updated` Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapUserEntity()`
    `` | `MapUserEntity(K id, String realmId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCredential(UserCredentialEntity credentialEntity)`
    `void` | `addFederatedIdentity(UserFederatedIdentityEntity federatedIdentity)`
    `void` | `addGroupsMembership(String groupId)`
    `void` | `addRequiredAction(String requiredAction)`
    `void` | `addRolesMembership(String roleId)`
    `void` | `addUserConsent(UserConsentEntity userConsentEntity)`
    `List<String>` | `getAttribute(String name)`
    `Map<String,List<String>>` | `getAttributes()`
    `Long` | `getCreatedTimestamp()`
    `UserCredentialEntity` | `getCredential(String id)`
    `int` | `getCredentialIndex(String credentialId)`
    `Stream<UserCredentialEntity>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getEmailConstraint()`
    `Stream<UserFederatedIdentityEntity>` | `getFederatedIdentities()`
    `UserFederatedIdentityEntity` | `getFederatedIdentity(String federatedIdentity)`
    `String` | `getFederationLink()`
    `String` | `getFirstName()`
    `Set<String>` | `getGroupsMembership()`
    `K` | `getId()`
    `String` | `getLastName()`
    `int` | `getNotBefore()`
    `String` | `getRealmId()`
    `Set<String>` | `getRequiredActions()`
    `Set<String>` | `getRolesMembership()`
    `String` | `getServiceAccountClientLink()`
    `UserConsentEntity` | `getUserConsent(String clientId)`
    `Stream<UserConsentEntity>` | `getUserConsents()`
    `String` | `getUsername()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `moveCredential(int currentPosition, int newPosition)`
    `void` | `removeAttribute(String name)`
    `boolean` | `removeCredential(String credentialId)`
    `boolean` | `removeFederatedIdentity(String providerId)`
    `void` | `removeGroupsMembership(String groupId)`
    `void` | `removeRequiredAction(String requiredAction)`
    `void` | `removeRolesMembership(String roleId)`
    `boolean` | `removeUserConsent(String clientId)`
    `void` | `setAttribute(String name, List<String> value)`
    `void` | `setAttributes(Map<String,List<String>> attributes)`
    `void` | `setCreatedTimestamp(Long createdTimestamp)`
    `void` | `setEmail(String email, boolean duplicateEmailsAllowed)`
    `void` | `setEmailConstraint(String emailConstraint)`
    `void` | `setEmailVerified(boolean emailVerified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFederatedIdentities(Collection<UserFederatedIdentityEntity> federatedIdentities)`
    `void` | `setFederationLink(String federationLink)`
    `void` | `setFirstName(String firstName)`
    `void` | `setGroupsMembership(Set<String> groupsMembership)`
    `void` | `setLastName(String lastName)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setRequiredActions(Set<String> requiredActions)`
    `void` | `setRolesMembership(Set<String> rolesMembership)`
    `void` | `setServiceAccountClientLink(String serviceAccountClientLink)`
    `void` | `setUsername(String username)`
    `void` | `updateCredential(UserCredentialEntity credentialEntity)`
    `void` | `updateFederatedIdentity(UserFederatedIdentityEntity federatedIdentityModel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### updated

          protected boolean updated

      Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Detail

    - #### MapUserEntity

          protected MapUserEntity()

    - #### MapUserEntity

          public MapUserEntity(K id,
                               String realmId)

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getRealmId

          public String getRealmId()

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### getCreatedTimestamp

          public Long getCreatedTimestamp()

    - #### setCreatedTimestamp

          public void setCreatedTimestamp(Long createdTimestamp)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName(String lastName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email,
                               boolean duplicateEmailsAllowed)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(boolean emailVerified)

    - #### getEmailConstraint

          public String getEmailConstraint()

    - #### setEmailConstraint

          public void setEmailConstraint(String emailConstraint)

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

    - #### getAttribute

          public List<String> getAttribute(String name)

    - #### setAttributes

          public void setAttributes(Map<String,List<String>> attributes)

    - #### setAttribute

          public void setAttribute(String name,
                                   List<String> value)

    - #### removeAttribute

          public void removeAttribute(String name)

    - #### getRequiredActions

          public Set<String> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(Set<String> requiredActions)

    - #### addRequiredAction

          public void addRequiredAction(String requiredAction)

    - #### removeRequiredAction

          public void removeRequiredAction(String requiredAction)

    - #### updateCredential

          public void updateCredential(UserCredentialEntity credentialEntity)

    - #### addCredential

          public void addCredential(UserCredentialEntity credentialEntity)

    - #### removeCredential

          public boolean removeCredential(String credentialId)

    - #### getCredential

          public UserCredentialEntity getCredential(String id)

    - #### getCredentials

          public Stream<UserCredentialEntity> getCredentials()

    - #### getCredentialIndex

          public int getCredentialIndex(String credentialId)

    - #### moveCredential

          public void moveCredential(int currentPosition,
                                     int newPosition)

    - #### getFederatedIdentities

          public Stream<UserFederatedIdentityEntity> getFederatedIdentities()

    - #### setFederatedIdentities

          public void setFederatedIdentities(Collection<UserFederatedIdentityEntity> federatedIdentities)

    - #### addFederatedIdentity

          public void addFederatedIdentity(UserFederatedIdentityEntity federatedIdentity)

    - #### getFederatedIdentity

          public UserFederatedIdentityEntity getFederatedIdentity(String federatedIdentity)

    - #### removeFederatedIdentity

          public boolean removeFederatedIdentity(String providerId)

    - #### updateFederatedIdentity

          public void updateFederatedIdentity(UserFederatedIdentityEntity federatedIdentityModel)

    - #### getUserConsents

          public Stream<UserConsentEntity> getUserConsents()

    - #### getUserConsent

          public UserConsentEntity getUserConsent(String clientId)

    - #### addUserConsent

          public void addUserConsent(UserConsentEntity userConsentEntity)

    - #### removeUserConsent

          public boolean removeUserConsent(String clientId)

    - #### getGroupsMembership

          public Set<String> getGroupsMembership()

    - #### setGroupsMembership

          public void setGroupsMembership(Set<String> groupsMembership)

    - #### addGroupsMembership

          public void addGroupsMembership(String groupId)

    - #### removeGroupsMembership

          public void removeGroupsMembership(String groupId)

    - #### getRolesMembership

          public Set<String> getRolesMembership()

    - #### setRolesMembership

          public void setRolesMembership(Set<String> rolesMembership)

    - #### addRolesMembership

          public void addRolesMembership(String roleId)

    - #### removeRolesMembership

          public void removeRolesMembership(String roleId)

    - #### getFederationLink

          public String getFederationLink()

    - #### setFederationLink

          public void setFederationLink(String federationLink)

    - #### getServiceAccountClientLink

          public String getServiceAccountClientLink()

    - #### setServiceAccountClientLink

          public void setServiceAccountClientLink(String serviceAccountClientLink)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

Copyright © 2021 JBoss by Red Hat. All rights reserved.